%define upstream_name    Plack-Middleware-ForceEnv
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Force set environment variables for testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Plack)
BuildArch: noarch

%{?perl_default_filter}

%description
ForceEnv modifies the environment passed to the application by adding your
specified key value pairs.

This is primarily useful when testing apps under plackup (or similar) in a
development environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.20.0-13.mga9
+ Revision: 1830761
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-12.mga8
+ Revision: 1505994
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-11.mga7
+ Revision: 1285728
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.20.0-10.mga7
+ Revision: 1166226
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.20.0-9.mga7
+ Revision: 1160661
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1032131
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 934212
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 739218
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.20.0-5.mga5
+ Revision: 733261
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 514108
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 371852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 268109
- imported package perl-Plack-Middleware-ForceEnv


* Thu Jul 05 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
